<?php 
session_start();

?>

<div class="modal-header">
	
	<h4 class="modal-title" id="titlemodal">
	<strong>QUIERES CONFIRMAR DOCUMENTO ?
	</strong> </h4> 
	<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
</div>

<div class="row">

<div class="col-lg-12 col-sm-12 col-xs-12" style="height:10px;"></div>

<div class="col-lg-12 col-sm-12 col-xs-12"><strong class="text-blue" ><?php echo $msj; ?></strong></div>

<div class="col-lg-12 col-sm-12 col-xs-12" style="height:10px;"></div>

<input type="hidden" id="txt_tra_vis" name="txt_tra_vis" value="<?php echo $_POST['vista']?>" />

<div class="col-lg-12 col-sm-12 col-xs-12">
<strong >Antes de confirmar el proceso, sercionate de que el documento ya esta enviado a sunat </br> haciendo click en un icono como </strong> 
<a href="javascript:void(0)" class="btn btn-success btn-sm" ><i class="fas fa-angle-double-right"></i></a> </br>
<strong >Hacer click en GUARDAR si : </strong></br>
<strong >En <strong CLASS="text text-blue" >FACTURAS/BOLETAS Y NOTAS </strong> te dice, EL DOCUMENTO YA FUE ENVIADO ANTERIORMENTE CON OTROS DATOS.</strong></br>
<strong >En <strong CLASS="text text-yellow" >GUIAS DE REMISION</strong> te dice, ERROR 4000.</strong>
</div>


<div class="col-lg-12 col-sm-12 col-xs-12">
<strong align="center" class="text-red" >INGRESE SU CLAVE PARA VALIDAR EL DOCUMENTO.</strong>
<input type="text" id="txt_tra_cla" name="txt_tra_cla"  class="form-control"  value="" />
</div>

</div>

<div class="col-lg-12 col-sm-12 col-xs-12" style="height:10px;"></div>

<div class="box-footer float-right ">
		<span class="btn btn-primary" style="cursor:pointer" id="save_form" onclick="validar();">Guardar</span>
</div>

<script type="text/javascript">

$("#txt_tra_cla").keydown(function(e){
			if (e.which == 13){$("#save_form").focus();return false;}
});

function validar(){

	if($("#txt_tra_cla").val()==""){
		toastr["info"]('Ingrese su clave.');
	}else
	{	
	$.ajax({
		type: "POST",
		url: "../servicio/servicio_reg.php",
		async:false,
		dataType: "json",                  
		data: ({
			action:	'validar',
			cla: $("#txt_tra_cla").val(),
			vis: $("#txt_tra_vis").val(),
			modide:'<?php echo $_POST['modide'];?>'
		}),
		beforeSend: function() {	

		},
		success: function(data){
			if(data.ser_est==1){
			
			toastr["success"](data.ser_msj);
			if($("#txt_tra_vis").val()=='venta'){
				venta_tabla();
			}else if($("#txt_tra_vis").val()=='guia'){
				guiaremision_tabla();
			}else if($("#txt_tra_vis").val()=='nc'){
				notacredito_tabla();
			}
			
			$('.modal').modal('hide');
			$('.in').removeClass('modal-backdrop');	
			
			}else if(data.ser_est==0){
				$("#txt_tra_cla").val('');
					toastr["error"](data.ser_msj);	
			}
			
		},
		complete: function(){
			
		}
	});
	}
}



</script>

